import { mixinRobotoFont } from '@genesislcap/foundation-zero';
import { css } from '@microsoft/fast-element';
/**
 * @public
 */
export const styles = css `
  ${mixinRobotoFont()}

  :host {
    contain: content;
  }

  :host,
  rapid-design-system-provider,
  foundation-router {
    display: flex;
    width: 100%;
    height: 100%;
  }

  :host([hidden]),
  :host(.not-ready),
  rapid-design-system-provider.not-ready {
    display: none;
  }

  :host:not(:defined) {
    visibility: hidden;
  }
`;
